## org.metaabm.ide
Class DisplayAttributeReferencesAction

    java.lang.Object
      org.metaabm.ide.DisplayAction
          org.metaabm.ide.DisplayButtonAction
              org.metaabm.ide.DisplayAttributeReferencesAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IEditorActionDelegate

    public class DisplayAttributeReferencesAction

extends DisplayButtonAction

Supports control of whether attributes accessors are displayed as children of attribute nodes. (This behavior may be currently disabled.)

Author:
  milesparker

Field Summary

Fields inherited from class org.metaabm.ide.DisplayAction
`editor`

Constructor Summary
`DisplayAttributeReferencesAction()`

Method Summary
`boolean` `isStateAs()`
`void` `setStateAs(boolean state)`

Methods inherited from class org.metaabm.ide.DisplayButtonAction
`run, setActiveEditor`

Methods inherited from class org.metaabm.ide.DisplayAction
`selectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayAttributeReferencesAction

    public DisplayAttributeReferencesAction()

Method Detail

### isStateAs

    public boolean isStateAs()

  Specified by:
    `isStateAs` in class `DisplayButtonAction`

### setStateAs

    public void setStateAs(boolean state)

  Specified by:
    `setStateAs` in class `DisplayButtonAction`